#include <stdlib.h>
#include <string.h>
#include <conio.h>

#define MAX 80


char buf[MAX];

void main() {
	int     i;
	char    *bufptr;

// Устанавливаем максимально допустимую длину строки

	buf[0] = MAX + 2;

	printf("\nВведите целое число: ");

// Вводим число, можно использовать клавиши редактирования

	bufptr = cgets(buf);

// Преобразуем введенное число к формату int
// и выводим его

	i = atoi(bufptr);
	printf("\nВы ввели число %d", i);
}

